Subject: [COSE] FW: New Version Notification for draft-schaad-cose-more-algs-01.txt

From: Jim Schaad <[email-masked]>
Date: Fri, 22 May 2020 13:47:21 -0700

This draft expired so I republished with my most current version.

This version adds KMAC as a MAC algorithm and as a KDF algorithm.  Adding it as  KDF algorithm implies that we increase the number of ECDH algorithm identifiers to add KMAC as a KDF.

Please let me know if some other algorithms need to be added.

Jim

-----Original Message-----
From: [email-masked] <[email-masked]> 
Sent: Friday, May 22, 2020 1:45 PM
To: Jim Schaad <[email-masked]>
Subject: New Version Notification for draft-schaad-cose-more-algs-01.txt

A new version of I-D, draft-schaad-cose-more-algs-01.txt
has been successfully submitted by Jim Schaad and posted to the IETF repository.

Name:		draft-schaad-cose-more-algs
Revision:	01
Title:		CBOR Object Signing and Encryption (COSE): Additional Algorithms
Document date:	2020-05-22
Group:		Individual Submission
Pages:		13
URL:            https://www.ietf.org/internet-drafts/draft-schaad-cose-more-algs-01.txt
Status:         https://datatracker.ietf.org/doc/draft-schaad-cose-more-algs/
Htmlized:       https://tools.ietf.org/html/draft-schaad-cose-more-algs-01
Htmlized:       https://datatracker.ietf.org/doc/html/draft-schaad-cose-more-algs
Diff:           https://www.ietf.org/rfcdiff?url2=draft-schaad-cose-more-algs-01

Abstract:
   The CBOR Object Signing and Encryption (COSE) syntax
   [I-D.ietf-cose-rfc8152bis-struct] allows for adding additional
   algorithms to the registries.  This document adds one additional key
   wrap algorithm to the registry using the AES Wrap with Padding
   Algorithm [RFC5649].  This document adds Keccak Message
   Authentication Code (KMAC) algorithms as well as using KMAC as a Key
   Derivation Function (KDF).

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat